-------------------------------------------------------------------------------
-- Dark Soil by Lockslap, US-Bleeding Hollow
-- <Borderline Amazing>, http://ba-guild.com
-------------------------------------------------------------------------------

-- npc friends list, filled at addon start
DarkSoil.list = {}

-- coordinate information is from http://wowhead.com/object=210565
-- quite a few coordinates were provided by littleweirdo
DarkSoil.coordinates = {
	-- The Jade Forest (51)
	[806] = {
		{x = 52.0, y = 56.7},
		{x = 52.2, y = 57.8},
		{x = 52.8, y = 56.8},
		{x = 52.9, y = 58.7},
		{x = 53.2, y = 54.2},
		{x = 53.6, y = 53.1},
		{x = 53.8, y = 59.3},
		{x = 53.9, y = 55.3},
		{x = 53.9, y = 60.2},
		{x = 54.0, y = 53.7},
		{x = 54.1, y = 60.9},
		{x = 54.2, y = 63.6},
		{x = 54.6, y = 54.3},
		{x = 54.7, y = 60.4},
		{x = 54.7, y = 60.5},
		{x = 55.0, y = 50.7},
		{x = 55.0, y = 52.0},
		{x = 55.0, y = 62.8},
		{x = 55.5, y = 53.3},
		{x = 55.6, y = 52.2},
		{x = 56.1, y = 50.2},
		{x = 56.4, y = 54.2},
		{x = 56.9, y = 50.3},
		{x = 56.9, y = 52.5},
		{x = 57.0, y = 51.6},
		{x = 57.4, y = 62.2},
		{x = 57.5, y = 53.3},
		{x = 57.9, y = 27.3},
		{x = 57.9, y = 62.5},
		{x = 58.2, y = 31.7},
		{x = 61.4, y = 22.7},
		{x = 61.4, y = 24.4},
		{x = 61.4, y = 24.5},
		{x = 61.5, y = 22.8},
		{x = 62.2, y = 20.9},
		{x = 62.2, y = 24.2},
		{x = 63.5, y = 24.1},
		{x = 63.6, y = 32.6},
		{x = 63.8, y = 31.2},
		{x = 64.0, y = 28.6},
		{x = 64.0, y = 29.9},
		{x = 64.1, y = 27.4},
		{x = 64.1, y = 27.5},
		{x = 64.3, y = 22.7},
		{x = 64.5, y = 30.2},
		{x = 64.8, y = 28.7},
		{x = 65.0, y = 33.8},
		{x = 65.3, y = 32.3},
		{x = 65.3, y = 32.5},
		{x = 65.6, y = 30.4},
		{x = 65.6, y = 31.0},
	},

	-- The Valley of the Four Winds (227)
	[807] = {
		{x = 29.6, y = 34.5},
		{x = 29.7, y = 33.4},
		{x = 29.8, y = 33.5},
		{x = 31.1, y = 53.4},
		{x = 31.1, y = 53.6},
		{x = 31.4, y = 32.1},
		{x = 31.4, y = 34.0},
		{x = 31.5, y = 31.9},
		{x = 31.5, y = 34.0},
		{x = 31.6, y = 26.8},
		{x = 32.0, y = 52.4},
		{x = 32.0, y = 52.5},
		{x = 32.0, y = 59.2},
		{x = 32.2, y = 58.0},
		{x = 32.4, y = 23.8},
		{x = 32.4, y = 57.2},
		{x = 32.5, y = 57.2},
		{x = 32.6, y = 23.8},
		{x = 32.6, y = 30.8},
		{x = 32.6, y = 58.5},
		{x = 32.8, y = 49.1},
		{x = 32.9, y = 49.8},
		{x = 33.0, y = 53.0},
		{x = 33.1, y = 58.1},
		{x = 33.3, y = 48.4},
		{x = 33.4, y = 29.1},
		{x = 33.5, y = 29.2},
		{x = 33.8, y = 42.1},
		{x = 33.9, y = 43.6},
		{x = 33.9, y = 56.4},
		{x = 33.9, y = 56.6},
		{x = 34.0, y = 50.6},
		{x = 34.1, y = 49.3},
		{x = 34.6, y = 42.1},
		{x = 34.7, y = 44.4},
		{x = 34.7, y = 44.6},
		{x = 34.8, y = 38.4},
		{x = 34.8, y = 38.5},
		{x = 34.8, y = 51.1},
		{x = 34.9, y = 22.9},
		{x = 34.9, y = 49.4},
		{x = 34.9, y = 50.2},
		{x = 34.9, y = 52.6},
		{x = 35.0, y = 35.2},
		{x = 35.6, y = 48.9},
		{x = 35.6, y = 51.1},
		{x = 35.8, y = 40.0},
		{x = 36.1, y = 51.6},
		{x = 36.3, y = 49.6},
		{x = 36.4, y = 52.8},
		{x = 36.5, y = 52.8},
		{x = 36.8, y = 50.9},
		{x = 37.2, y = 48.8},
		{x = 37.4, y = 50.2},
		{x = 37.5, y = 50.2},
		{x = 37.8, y = 46.1},
		{x = 38.1, y = 44.1},
		{x = 38.3, y = 50.5},
		{x = 38.5, y = 46.1},
		{x = 38.7, y = 18.3},
		{x = 38.7, y = 45.1},
		{x = 39.0, y = 41.7},
		{x = 39.1, y = 41.0},
		{x = 39.1, y = 42.8},
		{x = 39.2, y = 17.1},
		{x = 39.2, y = 20.8},
		{x = 39.2, y = 44.3},
		{x = 39.4, y = 49.9},
		{x = 39.5, y = 42.4},
		{x = 39.6, y = 49.8},
		{x = 39.7, y = 40.8},
		{x = 39.7, y = 43.3},
		{x = 39.8, y = 39.0},
		{x = 39.8, y = 43.5},
		{x = 39.8, y = 45.8},
		{x = 40.0, y = 47.4},
		{x = 40.0, y = 47.6},
		{x = 40.0, y = 48.6},
		{x = 40.0, y = 51.8},
		{x = 40.1, y = 51.1},
		{x = 40.2, y = 38.3},
		{x = 40.2, y = 39.9},
		{x = 40.3, y = 37.0},
		{x = 40.5, y = 41.4},
		{x = 40.5, y = 41.5},
		{x = 40.5, y = 43.7},
		{x = 40.5, y = 48.4},
		{x = 40.5, y = 51.6},
		{x = 40.6, y = 48.6},
		{x = 40.8, y = 34.4},
		{x = 40.8, y = 38.4},
		{x = 40.8, y = 38.6},
		{x = 40.8, y = 51.2},
		{x = 40.9, y = 35.3},
		{x = 40.9, y = 35.5},
		{x = 40.9, y = 36.7},
		{x = 40.9, y = 40.2},
		{x = 40.9, y = 44.9},
		{x = 40.9, y = 47.3},
		{x = 41.0, y = 49.5},
		{x = 41.4, y = 45.8},
		{x = 41.5, y = 45.8},
		{x = 41.6, y = 33.2},
		{x = 41.6, y = 38.2},
		{x = 41.6, y = 38.6},
		{x = 41.6, y = 52.7},
		{x = 41.7, y = 34.6},
		{x = 41.9, y = 47.1},
		{x = 42.0, y = 31.2},
		{x = 42.1, y = 39.7},
		{x = 42.1, y = 47.9},
		{x = 42.2, y = 48.7},
		{x = 42.4, y = 33.9},
		{x = 42.4, y = 52.3},
		{x = 42.5, y = 33.9},
		{x = 42.5, y = 46.9},
		{x = 42.6, y = 50.2},
		{x = 43.0, y = 35.9},
		{x = 43.0, y = 39.4},
		{x = 43.0, y = 39.5},
		{x = 43.1, y = 37.6},
		{x = 43.1, y = 43.4},
		{x = 43.1, y = 43.7},
		{x = 43.2, y = 45.9},
		{x = 43.2, y = 53.9},
		{x = 43.3, y = 37.0},
		{x = 43.3, y = 49.4},
		{x = 43.4, y = 52.4},
		{x = 43.4, y = 53.0},
		{x = 43.5, y = 44.3},
		{x = 43.5, y = 52.4},
		{x = 43.5, y = 53.0},
		{x = 43.6, y = 39.4},
		{x = 43.6, y = 39.5},
		{x = 43.8, y = 48.6},
		{x = 43.9, y = 37.0},
		{x = 43.9, y = 50.4},
		{x = 43.9, y = 50.6},
		{x = 44.0, y = 20.1},
		{x = 44.0, y = 47.4},
		{x = 44.0, y = 47.5},
		{x = 44.1, y = 42.5},
		{x = 44.2, y = 35.8},
		{x = 44.2, y = 42.3},
		{x = 44.4, y = 22.8},
		{x = 44.4, y = 32.4},
		{x = 44.4, y = 32.6},
		{x = 44.4, y = 40.7},
		{x = 44.4, y = 45.4},
		{x = 44.4, y = 45.5},
		{x = 44.4, y = 53.8},
		{x = 44.5, y = 22.8},
		{x = 44.5, y = 32.4},
		{x = 44.5, y = 32.6},
		{x = 44.5, y = 38.5},
		{x = 44.5, y = 40.8},
		{x = 44.6, y = 33.5},
		{x = 44.6, y = 43.5},
		{x = 44.7, y = 37.8},
		{x = 44.7, y = 43.4},
		{x = 44.7, y = 53.4},
		{x = 44.8, y = 35.7},
		{x = 44.9, y = 36.7},
		{x = 45.1, y = 19.1},
		{x = 45.4, y = 31.3},
		{x = 45.4, y = 46.1},
		{x = 45.4, y = 53.8},
		{x = 45.5, y = 31.3},
		{x = 45.5, y = 46.1},
		{x = 45.6, y = 41.4},
		{x = 45.6, y = 41.5},
		{x = 45.8, y = 45.3},
		{x = 45.9, y = 39.4},
		{x = 45.9, y = 39.6},
		{x = 46.0, y = 35.4},
		{x = 46.0, y = 53.9},
		{x = 46.1, y = 32.4},
		{x = 46.1, y = 32.6},
		{x = 46.3, y = 52.4},
		{x = 46.3, y = 52.6},
		{x = 46.4, y = 34.3},
		{x = 46.4, y = 36.3},
		{x = 46.4, y = 36.5},
		{x = 46.4, y = 37.6},
		{x = 46.5, y = 34.5},
		{x = 46.6, y = 52.8},
		{x = 46.7, y = 33.9},
		{x = 46.8, y = 33.0},
		{x = 46.8, y = 41.4},
		{x = 46.9, y = 41.6},
		{x = 47.0, y = 37.2},
		{x = 47.0, y = 37.8},
		{x = 47.2, y = 51.2},
		{x = 47.3, y = 21.2},
		{x = 47.4, y = 32.0},
		{x = 47.4, y = 35.7},
		{x = 47.6, y = 38.0},
		{x = 47.7, y = 19.1},
		{x = 47.8, y = 32.7},
		{x = 47.8, y = 34.8},
		{x = 47.9, y = 37.1},
		{x = 47.9, y = 46.3},
		{x = 48.0, y = 28.7},
		{x = 48.0, y = 36.1},
		{x = 48.0, y = 48.9},
		{x = 48.2, y = 32.0},
		{x = 48.3, y = 39.0},
		{x = 48.3, y = 49.7},
		{x = 48.4, y = 18.4},
		{x = 48.5, y = 49.6},
		{x = 48.6, y = 33.7},
		{x = 48.7, y = 29.2},
		{x = 48.9, y = 18.8},
		{x = 49.0, y = 33.1},
		{x = 49.3, y = 28.0},
		{x = 49.4, y = 31.9},
		{x = 50.1, y = 27.4},
		{x = 50.1, y = 27.5},
		{x = 50.3, y = 31.6},
		{x = 50.4, y = 28.5},
		{x = 50.4, y = 33.9},
		{x = 50.5, y = 33.8},
		{x = 51.1, y = 28.3},
		{x = 51.1, y = 30.0},
		{x = 51.1, y = 30.8},
		{x = 51.3, y = 28.9},
		{x = 52.8, y = 48.1},
	},

	-- Kun-Lai Summit (26)
	[809] = {
		{x = 66.2, y = 51.1},
		{x = 66.7, y = 56.5},
		{x = 66.8, y = 44.0},
		{x = 66.9, y = 50.1},
		{x = 67.1, y = 55.6},
		{x = 67.3, y = 47.2},
		{x = 67.6, y = 56.5},
		{x = 67.7, y = 46.2},
		{x = 67.7, y = 50.8},
		{x = 67.8, y = 48.1},
		{x = 67.9, y = 51.6},
		{x = 68.0, y = 55.9},
		{x = 68.7, y = 55.3},
		{x = 68.8, y = 56.1},
		{x = 68.9, y = 48.6},
		{x = 69.1, y = 52.1},
		{x = 69.1, y = 53.8},
		{x = 69.6, y = 48.0},
		{x = 69.8, y = 46.1},
		{x = 70.0, y = 51.4},
		{x = 70.0, y = 51.6},
		{x = 70.2, y = 46.6},
		{x = 70.7, y = 52.4},
		{x = 70.8, y = 52.5},
		{x = 71.3, y = 46.2},
		{x = 71.7, y = 46.9},
	},

	-- Townlong Steppes (4)
	[810] = {
		{x = 39.9, y = 60.6},
		{x = 40.0, y = 59.7},
		{x = 41.0, y = 61.8},
		{x = 61.4, y = 42.2},
	},

	-- Vale of Eternal Blossoms (32)
	[811] = {
		{x = 14.7, y = 66.8},	-- provided by aealias
		{x = 15.7, y = 35.7},
		{x = 16.7, y = 35.1},
		{x = 18.3, y = 28.7},
		{x = 19.2, y = 20.5},
		{x = 21.1, y = 31.4},
		{x = 21.1, y = 31.5},
		{x = 22.3, y = 17.4},
		{x = 24.6, y = 26.4},
		{x = 24.6, y = 26.5},
		{x = 25.6, y = 31.5},
		{x = 25.7, y = 31.4},
		{x = 26.6, y = 18.5},
		{x = 29.5, y = 25.7},
		{x = 30.2, y = 30.4},
		{x = 32.7, y = 40.6},
		{x = 33.6, y = 34.6},
		{x = 35.9, y = 78.4},	-- provided by nafets121
		{x = 36.6, y = 18.8},
		{x = 38.3, y = 33.5},
		{x = 39.0, y = 30.5},
		{x = 39.6, y = 26.2},
		{x = 42.6, y = 67.8},
		{x = 43.0, y = 29.5},
		{x = 45.3, y = 66.8},
		{x = 46.5, y = 24.5},
		{x = 47.4, y = 72.5},
		{x = 49.1, y = 67.2},
		{x = 50.8, y = 22.7},
		{x = 52.0, y = 31.6},
		{x = 52.0, y = 69.6},
		{x = 53.1, y = 61.5},
		{x = 53.2, y = 24.6},
		{x = 54.6, y = 36.8},
	},

	-- Krasarang Wilds (11)
	[857] = {
		{x = 29.2, y = 75.3},
		{x = 29.3, y = 67.5},
		{x = 31.0, y = 63.8},
		{x = 31.2, y = 69.7},
		{x = 31.3, y = 66.5},
		{x = 31.7, y = 79.9},
		{x = 31.8, y = 69.2},
		{x = 33.0, y = 68.0},
		{x = 34.1, y = 67.0},
		{x = 35.6, y = 66.9},
		{x = 36.1, y = 74.4},
	},

	-- Dread Wastes (21)
	[858] = {
		{x = 23.6, y = 81.4},
		{x = 23.6, y = 81.5},
		{x = 25.1, y = 78.0},
		{x = 28.7, y = 90.7},
		{x = 29.8, y = 88.5},
		{x = 32.3, y = 83.4},
		{x = 42.8, y = 70.6},
		{x = 58.3, y = 61.7},
		{x = 58.9, y = 51.3},
		{x = 59.7, y = 59.4},
		{x = 64.6, y = 18.1},
		{x = 65.8, y = 30.3},
		{x = 69.9, y = 33.9},
		{x = 70.8, y = 27.9},
		{x = 71.2, y = 27.4},
		{x = 71.5, y = 30.3},
		{x = 72.0, y = 38.2},
		{x = 72.4, y = 35.7},
		{x = 72.5, y = 30.4},
		{x = 72.5, y = 35.7},
		{x = 73.0, y = 20.6},
	},
}